Bug 911697 - Host deploy fail due to missing tar utility
Summary: Host deploy fail due to missing tar utility
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Alon Bar-Lev
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-15 16:55 UTC by Martin Kralicek
Modified: 2013-02-19 22:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 22:24:52 UTC
oVirt Team: ---


Attachments (Terms of Use)
engine.log after fail (43.29 KB, application/octet-stream)
2013-02-15 16:55 UTC, Martin Kralicek
no flags Details
part of engine.log after failed installation (22.11 KB, application/octet-stream)
2013-02-17 16:48 UTC, Martin Kralicek
no flags Details

Description Martin Kralicek 2013-02-15 16:55:04 UTC
Created attachment 697878 [details]
engine.log after fail

Description of problem:
While trying to add a new host, the procedure terminates with error: "Unexpected connection termination"

Version-Release number of selected component (if applicable):
engine: 3.2 on Fedora 18 - minimal
host: Fedora 18 - minimal
engine and host uses stable repo.
  
Actual results:
Only how I can add host is using package ovirt-engine-setup-plugin-allinone

Expected results:
Allow me to add host with fresh installed Fedora 18 

Additional info:
In the same enviroment I was able to run oVirt 3.1
In attachment I added engine.log with more information about this issue

Comment 1 Alon Bar-Lev 2013-02-17 07:36:16 UTC
Hi,

Is it a release of fedora 18?

'tar' utility is missing, I just installed fresh fedora-18... and I do have tar.
How did you install?

Alon

Comment 2 Martin Kralicek 2013-02-17 16:46:47 UTC
Hello,

1) I installed it with minimal instalation without standart common components
2) run yum update and add ovirt repo
3) tryed to add host - fail
4) tryed to run command tar - tar is missing
5) yum install tar
6) tryed to add host - installation continue with error "Failed to execute stage 'Misc configuration': Command '/bin/systemctl' failed to execute."
7) the last error message is Command returned failure code 1 during SSH session
I had idea that the standart common componnets can resolved this issue so I performed this steps:
1) install it with minimal instalation and standart common components
2) run yum update and add ovirt repo
3) tryed to run command tar - ok, now it is installed
4) tryed to add host - error "Failed to execute stage..."
5) the last error message is Command returned failure code 1 during SSH session

And I attach part of engine.log (as engine-2.log)

Best regards

Martin Kralicek

Comment 3 Martin Kralicek 2013-02-17 16:48:54 UTC
Created attachment 698539 [details]
part of engine.log after failed installation

Comment 4 Alon Bar-Lev 2013-02-17 19:42:34 UTC
OK, so we need the standard components. Sorry for my ignorance, but how do you not install the standard common components?

For the tuned issue, see[1]

Easiest is to delete:
/usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/tune/tuned.py*

[1] http://www.mail-archive.com/users@ovirt.org/msg06482.html

Comment 5 Alon Bar-Lev 2013-02-17 19:44:13 UTC
(In reply to comment #4)
> Easiest is to delete:
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/tune/tuned.py*
> 
> [1] http://www.mail-archive.com/users@ovirt.org/msg06482.html

Also removed the tuned from /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/tune/__init__.py

Comment 6 Martin Kralicek 2013-02-19 21:34:57 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > OK, so we need the standard components. Sorry for my ignorance, but how do you > > not install the standard common components?
> >
> > For the tuned issue, see[1]
> >
> > Easiest is to delete:
> > /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/tune/tuned.py*
> > 
> > [1] http://www.mail-archive.com/users@ovirt.org/msg06482.html
> 
> Also removed the tuned from
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/tune/__init__.py

In the installation process. If I choose minimal install, the standart components is not been marked as default and I have to do it manualy, so I think that this issue can be closed.

But the issue with adding host is still active...the advice to remove these files did not help :/ Should I create a new thread for this?

Thanks for your advice

Comment 7 Alon Bar-Lev 2013-02-19 21:40:26 UTC
(In reply to comment #6)
> But the issue with adding host is still active...the advice to remove these
> files did not help :/ Should I create a new thread for this?

Yes, please.
And attach the relevant log from /var/log/ovirt-engine/host-deploy/*.log

Maybe you will also need to remove /var/cache/ovirt-engine/*.tar

Comment 8 Martin Kralicek 2013-02-19 22:24:52 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > But the issue with adding host is still active...the advice to remove these
> > files did not help :/ Should I create a new thread for this?
> 
> Yes, please.
> And attach the relevant log from /var/log/ovirt-engine/host-deploy/*.log
> 
> Maybe you will also need to remove /var/cache/ovirt-engine/*.tar

:) my bad...after rebooting the system (not only restart service), the host can be added.

Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.